*{
    margin:0px;
    padding:0px;

}

nav{
    background-color: lightgoldenrodyellow;
    text-align: center;
    

}
.navbar {
    display: inline;
    padding: 1em;
    text-align: center;
    
}
.navbar-ul :hover{
    background-color:goldenrod;
    font-weight: bold;
    color: white;
}

a{
    text-decoration: none;
    color: #090245;
}
ul{
    color:black;
    list-style-type:none;
    background-color: lightgoldenrodyellow;
    overflow:hidden;
    padding:1em;
}


header{
    background-image: url("media/8acc5d1ec9291191b013648dbb490632.jpg");
    background-color: #090245;
    
}
body{
    background-image: url("media/8acc5d1ec9291191b013648dbb490632.jpg");
   
    background-color: black;
    color:white;
    font-family:Georgia, 'Times New Roman', Times, serif;
    
}
main{
    text-align: left;
    display:flex;
    width:100%;
    gap:20px;
}
.footbar{
    color:white;
    overflow:hidden;
    display:inline;
}
footer{
    color:white;
    overflow:hidden;
    display:flex;
    flex-direction: column;
}
.footbar:hover{
    color:#090245;
}
.footbar-ul:hover{
color:white;
}
/* text */
hr.solid{
    background-color: black;
    border-top:3px solid lightblue;
    padding-bottom: 2em;
    
    
}
h1{
    color:lightgoldenrodyellow;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
}

h2{
    -webkit-text-stroke: .5px goldenrod;
    color:lightblue;
    font-size: 50px;
    padding-bottom:10px;
}

h3{
    padding:20px;
    background-color: #090245;
    text-align: center;
    color:white;
    font-size: 40px;
    -webkit-text-stroke: 1px goldenrod;

}
h4{
    color:lightblue;
    font-weight: bold;
    font-size:25px;
    -webkit-text-stroke: 1px #090245;
    padding: 10px;
}
h5{
    color:#090245;
    font-size:25px;
    padding:10px;
    -webkit-text-stroke: .5px black;
    
}
.introp{
    font-weight: bold;
}

/* HOBBIES SECTION*/
.hobby-pics{
    margin-bottom:2em;
}

.hobby-div{
    display:flex;
    gap:20px;
  background-color: lightyellow;
}
.hobby-div img{
    max-width:200px;
    height:auto;
}
#hobbies-list{
    padding:2em;
    display:flex;
    gap:0px;
    width:100%;
    margin-top: 0;
    margin-bottom: 0;
    margin-right:0;
    overflow: hidden;
    border-radius: 25px;
    border:2px solid lightblue;
}

/* FAVORITES SECTION*/
#favorites-list{
    overflow: hidden;
    padding:2em;
    border-radius: 25px;
    border:2px solid lightblue;
    width:80%;
}
.favorites-pics{
    margin-bottom:2em;
}
.favorites-div img{
    max-width:200px;
    height:auto;
}
.favorites-div{
    display:flex;
    gap:20px;
    background-color: lightyellow;
}
#port_bg{
    background-image: url(media/bc982e581d9d1b20739a06f1c6913ecb.jpg);
    background-size: cover;
}
#port_header{
    background-image: url(media/bc982e581d9d1b20739a06f1c6913ecb.jpg);
    background-size: cover;
}
/* PROJECTS SECTION */
.projects-pics{
    margin-bottom:2em;
}

.projects-div{
    display:flex;
    gap:20px;
  background-color: lightblue;
}
.projects-div img{
    max-width:500px;
    height:auto;
}
#projects-list{
    padding:2em;
    display:flex;
    gap:0px;
    width:70%;
    margin-top: 0;
    margin-bottom: 0;
    margin-right:10%;
    margin-left:10%;
    overflow: hidden;
    border-radius: 25px;
    border:2px solid goldenrod;
    background-color: #090245;
}
#projects-background{
    background-color: #090245;
}
.projects-h4{
    -webkit-text-stroke: 1px lightgoldenrodyellow;
    color:goldenrod;
    font-size: 30px;
}
/* LOADING SCREEN*/
#loading-header{
    text-align: center;
    background-color: black;
}
#loading-body{
    text-align: center;
}
#loading-text{
    color:rgb(109, 195, 252);
    text-align:center;
    font-size: 75px;
    animation: pulse 1s ease-in-out infinite;
    font-weight: bold;
    -webkit-text-stroke: 1px white;
 
}
#loadingScreen{
    position:absolute;
    z-index:5;
    width:100%;
    height:100vh;
    background-image: url("media/photo-1520034475321-cbe63696469a.avif");
    background-size:cover;
    background-color:black;
    display:flex;
    align-items:center;
    justify-content:center;
    opacity:1;
    transition: opacity 1s ease-out;
}
#loadingScreen.fade-out{
    opacity:0;
}
.main-page{
    opacity:0;
    transition:opacity 1s ease-in;
}
.main-page.fade-in-active{
    opacity:1;
}
@keyframes pulse{
    0%, 100% {opacity: 0.3;}
    50% {opacity:1;}
}
/*STATS*/
#letterboxd{
    margin:1em;
    padding:1em;
    background-color: lightskyblue;
    max-width: 500px;
    max-height:750px;
}
#letterboxd-embed-wrapper-tc{
    background-color: goldenrod;
    color:white;
    padding: 1em;
}
#letterboxd-embed-wrapper-tc:active{
    color:white;
}
#spotify{
    padding: 1em;
    width:100%;
    height:100%;
    border-color: lightskyblue;
    border-radius:12px;
}
.gr_grid_book_container{
    width:fit-content;
    height:200px;
    
}
.gr_grid_book_container {
    /* customize book cover container div here */
    float: left;
    width: auto;
    height: auto;
    padding: 2px 2px;
    overflow: hidden;
    
}
#stats_bg{
    background-image: url(media/download.png);
    background-size: cover;
}
#stats_header{
    background-image: url(media/download.png);
    background-size: cover;
}